# Function mapBasicLineType

- mapBasicLineType(name, pattern?):
  | "solid"
  | "dash"
  | "dash-dot"
  | "dot"
  | "short-dash"
  | "short-dash-dot"
  | "long-dash"
  | "long-dash-dot"
  | undefined

- Maps basic DXF line type names to Esri line styles.

  #### Parameters

  - name: string

    The name of the line type.

  - `Optional` pattern: number[]

    The numeric pattern of the line type.

  #### Returns
  | "solid"
  | "dash"
  | "dash-dot"
  | "dot"
  | "short-dash"
  | "short-dash-dot"
  | "long-dash"
  | "long-dash-dot"
  | undefined

  The mapped Esri line style, or undefined if no match is found.